Skip to main content
GET
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
drafts
/
{draft_id}
/
attachments
/
{attachment_id}
Get Attachment
curl --request GET \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}/attachments/{attachment_id} \
  --header 'Authorization: Bearer <token>'
{
  "attachment_id": "<string>",
  "size": 123,
  "download_url": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "filename": "<string>",
  "content_type": "<string>",
  "content_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

draft_id
string
required

ID of draft.

attachment_id
string
required

ID of attachment.

Response

Response with status 200

attachment_id
string
required

ID of attachment.

size
integer
required

Size of attachment in bytes.

download_url
string
required

URL to download the attachment.

expires_at
string<date-time>
required

Time at which the download URL expires.

filename
string

Filename of attachment.

content_type
string

Content type of attachment.

content_disposition
enum<string>

Content disposition of attachment.

Available options:
inline,
attachment
content_id
string

Content ID of attachment.